/*
	MIT License http://www.opensource.org/licenses/mit-license.php
	Author Tobias Koppers @sokra
*/
module.exports = function(contents, options, callback) {
	if(callback) {
		if(contents.length === 1)
			callback(null, "module.exports = " + stringify(contents[0]));
		else {
			contents.forEach(function(content, index) {
				contents[index] = stringify(content);
			});
			callback(null, "module.exports = [" + contents.join(",\n\t") + "]");
		}
	} else {
		return contents.length === 1 ? contents[0] : contents;
	}
}
function stringify(str) {
	return '"' + str.replace(/\\/g, "\\\\")
					.replace(/\t/g, "\\t")
					.replace(/\r/g, "\\r")
					.replace(/\n/g, "\\n")
					.replace(/\"/g, "\\\"") + '"';
}